Create an agent
curl --request POST \
--url https://api.deck.co/v2/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.deck.co/v2/agents"
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>'})
};
fetch('https://api.deck.co/v2/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"name": "<string>",
"description": "<string>",
"tasks": [
{
"id": "<string>",
"object": "<string>",
"name": "<string>",
"status": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"request_id": "<string>"
}{
"errors": {},
"type": "<string>",
"title": "<string>",
"status": 123,
"traceId": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}Agents
Create an agent
Creates a new agent. An agent is an automation scoped to a use case that organizes related tasks.
POST
/
agents
Create an agent
Authorizations
Secret key (sk_live_...)
Body
application/jsontext/jsonapplication/*+json
Response
Created
An agent object. Agents organize related tasks under a single use case.
Unique identifier for the agent, prefixed with agt_.
Always agent.
Display name for the agent.
Description of the agent's purpose.
Tasks associated with this agent.
Show child attributes
Show child attributes
ISO 8601 timestamp of when the resource was created.
ISO 8601 timestamp of when the resource was last updated.
Unique identifier for the API request. Include this when contacting support.
Was this page helpful?
⌘I